# adjust-dateTime-to-timezone

adjust-dateTime-to-timezone($arg as xs:dateTime?) → xs:dateTime

Returns a dateTime value equivalent to the original dateTime, but with the timezone removed.

Arguments
| $arg | xs:dateTime? | The input date/time
Result | xs:dateTime

adjust-dateTime-to-timezone($arg as xs:dateTime?, $timezone as xs:dayTimeDuration?) → xs:dateTime

Returns a dateTime value equivalent to the original dateTime, but adjusted to a different timezone.

Arguments
| $arg | xs:dateTime? | The input date/time
| $timezone | xs:dayTimeDuration? | The new time zone, as an offset from UTC, or () to denote the implicit timezone
Result | xs:dateTime

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next